#!/bin/bash

MYDIR=`dirname $0`
echo $MYDIR
cd $MYDIR

CLASSPATH="$MYDIR/lib/*:$CLASSPATH"
export CLASSPATH


java -version

# Minimum heap size
minHeap="-Xms64m"
# Maximum heap size
maxHeap="-Xmx1024m"

javaOpts="-client $minHeap $maxHeap 
-Dit.tidalwave.imageio.raw.defaultSource=rawImage"

# Check the installed Java version
java -client de.andreasroerig.util.SystemInfo
result=$?

echo "Java minor version: $result" 

if [ $result -ge 9 ]
then
        echo "Java 9 or higher"
        javaOpts="$javaOpts --add-modules java.xml.bind"
        java $javaOpts regim.Regim
else
        if [ $result -eq 8 ]
        then
                echo "Java 8 starting Regim"
                java $javaOpts regim.Regim
        else
                echo "Java 8 or higher is required."
        fi
fi


